Package Details: gpr 25.0w-1

Git Clone URL: https://aur.archlinux.org/gpr.git (read-only, click to copy)
Package Base: gpr
Description: Parser for Ada GPR project files.
Upstream URL: https://github.com/AdaCore/gpr
Licenses: GPL3, Apache
Submitter: charlie5
Maintainer: charlie5
Last Packager: charlie5
Votes: 1
Popularity: 0.38
First Submitted: 2022-11-19 08:08 (UTC)
Last Updated: 2024-06-03 06:14 (UTC)

Pinned Comments

charlie5 commented on 2023-07-09 16:43 (UTC)

This package is available in the Arch Ada Repository.

https://wiki.archlinux.org/title/Ada

Latest Comments

krouziciorel commented on 2024-06-03 12:36 (UTC)

Hi @charlie5, I had cleaned my yay cache and try to use the command:

sudo pacman -Rsc gpr

then I will rebuild all the gpr deps (from gnatcoll-gmp to python-e3-core) and finally rebuild gpr package:

yay -S gpr

unfortunately the problem still persists:

  • I had send the complete list of errors to your e-mail due to the character limits -

charlie5 commented on 2024-06-03 06:54 (UTC)

hi @krouziciorel,

I've added a missing dependency (langkit) to the gpr 'depends' array. I cannot be certain that this will fix your problem, as I am not able to reproduce it. Could you please try again and let me know the result.

If the problem still occurs, then perhaps try clearing your yay cache and /tmp/makepkg. Then ...

 $ sudo pacman -Rsc gpr

... and try rebuilding,

Thanks.

krouziciorel commented on 2024-06-03 05:09 (UTC)

Many thanks for a big Ada packages update. Please prove these packages, that I am not able to compile with GCC 14 now (others are OK):

gpr gtkada polyorb gnatcoll-gnatinspect gnatcoll-db2ada libadalang-tools gnatdoc libadalang gnatstudio all-ada gpr2tools


gpr

/usr/bin/ld: /home/wanbli/.cache/yay/gpr/src/gpr2-25.0w-20240505-16442-src/.build/release_checks/lib-static/libgpr2.a(gpr_parser_support-adalog.o):/home/wanbli/.cache/yay/gpr/src/gpr2-25.0w-20240505-16442-src/langkit/gen/src/gpr_parser_support-adalog.ads:76: more undefined references to `gnatcoll__traces__create' follow /usr/bin/ld: warning: creating DT_TEXTREL in a PIE /usr/bin/ld: warning: creating DT_TEXTREL in a PIE /usr/bin/ld: warning: creating DT_TEXTREL in a PIE collect2: error: ld returned 1 exit status collect2: error: ld returned 1 exit status /usr/bin/ld: warning: creating DT_TEXTREL in a PIE collect2: error: ld returned 1 exit status collect2: error: ld returned 1 exit status

link of gprclean-main.adb failed

link of gprdoc-main.adb failed

link of gprbuild-main.adb failed

...

libadalang

Build Libraries [gprlib] adalang.lexch [bind SAL] adalang error: "gpr2.adb" and "libadalang-analysis.adb" compiled with different GNAT versions, v13 and v14 error: "gpr2.adb" must be compiled error: ("/usr/lib/gpr2.static/gpr2.ali" is obsolete and read-only


charlie5 commented on 2023-07-09 16:43 (UTC)

This package is available in the Arch Ada Repository.

https://wiki.archlinux.org/title/Ada

xiretza commented on 2023-01-08 19:00 (UTC)

Missing makedepends=('python-e3-core').